<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;


class ContactLanguage extends Model
{
    protected $table = 'contact_languages';
    use HasFactory;

    protected $fillable = [
        'contact_id',
        'account_id',
        'lead_id',
        'deal_id',
        'language_id',
    ];
    public function contact()
    {
        return $this->belongsTo(Contact::class);
    }
    public function lead()
    {
        return $this->belongsTo(Lead::class);
    }
    public function account()
    {
        return $this->belongsTo(Account::class);
    }
    public function deal()
    {
        return $this->belongsTo(Deal::class);
    }

    public function language()
    {
        return $this->belongsTo(Language::class);
    }
}
